Module org.hsqldb
Package org.hsqldb.lib

## Class LongDeque

- java.lang.Object
- - org.hsqldb.lib.LongDeque

-     public class LongDeque
      extends java.lang.Object

  A deque of long values. Implementation based on HsqlDeque class.
  Since:
    1.9.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongDeque()` |
    `LongDeque​(int capacity)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(long value)` |
    `int` | `addAll​(LongDeque deque)` |
    `boolean` | `addFirst​(long value)` |
    `boolean` | `addLast​(long value)` |
    `void` | `clear()` |
    `boolean` | `contains​(long value)` |
    `long` | `get​(int i)` |
    `long` | `getFirst()` |
    `long` | `getLast()` |
    `int` | `indexOf​(long value)` |
    `boolean` | `isEmpty()` |
    `long` | `remove​(int index)` |
    `long` | `removeFirst()` |
    `long` | `removeLast()` |
    `int` | `size()` |
    `long[]` | `toArray()` |
    `void` | `toArray​(int[] array)` |
    `void` | `toArray​(long[] array)` |
    `void` | `zeroSize()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongDeque

          public LongDeque()

    - #### LongDeque

          public LongDeque​(int capacity)

  - ### Method Detail

    - #### size

          public int size()

    - #### isEmpty

          public boolean isEmpty()

    - #### getFirst

          public long getFirst()
                        throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### getLast

          public long getLast()
                       throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### get

          public long get​(int i)
                   throws java.lang.IndexOutOfBoundsException

      Throws:
        `java.lang.IndexOutOfBoundsException`

    - #### removeFirst

          public long removeFirst()
                           throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### removeLast

          public long removeLast()
                          throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### add

          public boolean add​(long value)

    - #### addLast

          public boolean addLast​(long value)

    - #### addFirst

          public boolean addFirst​(long value)

    - #### addAll

          public int addAll​(LongDeque deque)

    - #### clear

          public void clear()

    - #### zeroSize

          public void zeroSize()

    - #### indexOf

          public int indexOf​(long value)

    - #### remove

          public long remove​(int index)

    - #### contains

          public boolean contains​(long value)

    - #### toArray

          public void toArray​(int[] array)

    - #### toArray

          public void toArray​(long[] array)

    - #### toArray

          public long[] toArray()